List audit events
const url = 'http://127.0.0.1:8080/api/v1/account/audit';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url http://127.0.0.1:8080/api/v1/account/audit \ --header 'Authorization: Bearer <token>'Instance history for an administrator, or owned-library history for a library owner. Uses the persisted local-mode user when authentication is disabled. Otherwise an authenticated browser session is required, except for the current account and sign-in. Modifying authenticated requests require the current X-CSRF-Token. Credentials and responses must not be cached.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Optional filter; times are Unix seconds and before is an exclusive event ID cursor. Results contain at most 100 events, newest first.
Optional filter; times are Unix seconds and before is an exclusive event ID cursor. Results contain at most 100 events, newest first.
Optional filter; times are Unix seconds and before is an exclusive event ID cursor. Results contain at most 100 events, newest first.
Optional filter; times are Unix seconds and before is an exclusive event ID cursor. Results contain at most 100 events, newest first.
Optional filter; times are Unix seconds and before is an exclusive event ID cursor. Results contain at most 100 events, newest first.
Optional filter; times are Unix seconds and before is an exclusive event ID cursor. Results contain at most 100 events, newest first.
Optional filter; times are Unix seconds and before is an exclusive event ID cursor. Results contain at most 100 events, newest first.
Responses
Section titled “Responses”Operation completed.
object
object
Examplegenerated
{ "events": [ { "action": "example", "actor_id": "example", "correlation_id": "example", "created_at": 1, "credential_id": "example", "id": 1, "library_id": "example", "outcome": "example", "target_id": "example", "target_type": "example" } ]}No valid session or API token (authentication-required), or the credential sent is invalid (invalid-credentials).
object
Examplegenerated
{ "code": "example", "detail": "example", "status": 1, "title": "example", "type": "example"}default
Section titled “default”Stable account problem code; authentication, authority, validation or lifecycle conflict.
object
Examplegenerated
{ "code": "example", "detail": "example", "status": 1, "title": "example", "type": "example"}